---
title: "List all Trusted Certificates."
slug: "list-all-trusted-certificates-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:52Z
canonical: "support.appgate.com/list-all-trusted-certificates-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Trusted Certificates.

Get/trusted-certificates

List all Trusted Certificates visible to current user.

SecurityHTTPType bearer

Query parametersquerystring

Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.

rangestring

'Range string to limit the result list. Format: -. 3-10 means the items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'

Example0-10
orderBystring

The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type.

Examplename
descendingstring

Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type.

filterBy

Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion.

object  property*string    additionalProperties
Example{
  "name": "us-east",
  "tags": "aws"
}

Responses200

List of Trusted Certificates.

<select class='api-response-data' aria-label='Media type'><option value='881833d3-7efb-45ee-bc1a-86625384c022'>application/json</option>
</select>Expand Allobject  rangestring    

The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.

Example0-30/54
orderBystring    

The field name used to sort the list.

Examplename
descendingboolean    

Whether the sorting is applied descending or ascending.

queries Array of string   

The queries applied to the list.

string    
totalCountinteger    

The total readable count of entities. Not influenced by the query.

Example328
filterBy Array of object (FilterBy)   

The filters applied to the list.

object  namestring    

The field name the filter is applied to.

Examplename
valuestring    

The value used for comparison.

ExampleAWS

data Array of object (TrustedCertificate)   

List of Trusted Certificates.

object  idstring  (uuid)    

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring    

Name of the object.

Exampleobject
notesstring    

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
createdstring  (date-time)    

Create date.

updatedstring  (date-time)    

Last update date.

tags Array of string   

Array of tags.

Example[
  "developer",
  "api-created"
]string    
pemstring  (PEM)    

A certificate in PEM format.

Example-----BEGIN CERTIFICATE-----
....
-----END CERTIFICATE-----
detailsobject (CertificateDetails)  

X509 certificate details.

versionnumber    

X.509 certificate version.

Example3.0
serialstring    

X.509 certificate serial number.

Example1542962969512
issuerstring    

The issuer name of the certificate.

ExampleCN=Appgate SDP CA
subjectstring    

The subject name of the certificate.

ExampleCN=Appgate SDP CA
validFromstring  (date-time)    

Since when the certificate is valid from.

validTostring  (date-time)    

Until when the certificate is valid.

fingerprintstring    

SHA256 fingerprint of the certificate.

Exampled30247cee99a056c5ecdc409549165886d02925f9c64b681dff3d2ecf653355f
certificatestring  (byte)    

Base64 encoded binary of the certificate. Either DER or PEM formatted depending on the request.

subjectPublicKeystring  (byte)    

Base64 encoded public key of the certificate.

401

Token error. Login again.

<select class='api-response-data' aria-label='Media type'><option value='1173e44e-34d3-41c3-940c-3661db1b6cea'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

403

Insufficient permissions to access this resource.

<select class='api-response-data' aria-label='Media type'><option value='830c925e-364b-4514-9a3f-ea0d0105dbc8'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

406

Invalid 'Accept' header.

<select class='api-response-data' aria-label='Media type'><option value='9f47251b-4c94-4526-ba38-0a18678f602b'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

500

Unexpected server side error.

<select class='api-response-data' aria-label='Media type'><option value='3a642a8e-241b-43b2-9ec2-e4fe9ad8aa36'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.
